List Datasets

List datasets that have been created.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Query parameters

datasetTypestringOptional
optional filter by dataset type
beforestringOptionalformat: "date-time"
optional filter before a date
afterstringOptionalformat: "date-time"
optional filter after a date
limitdoubleOptional
optional limit to number of results
offsetdoubleOptional
optional offset to start of results
validationStatusenumOptional
optional filter by validation status

Response

A successful response.
datasetslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error